{% extends 'base.html.twig' %}

{% block title %}Patient{% endblock %}

{% block body %}
    <h1>{{ patient.firstName }} {{ patient.lastName }}</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id:</th>
                <td>{{ patient.id }}</td>
            </tr>
            <tr>
                <th>First Name:</th>
                <td>{{ patient.firstName }}</td>
            </tr>
            <tr>
                <th>Last Name:</th>
                <td>{{ patient.lastName }}</td>
            </tr>
            <tr>
                <th>Avs Number:</th>
                <td>{{ patient.avsNumber }}</td>
            </tr>
            <tr>
                <th>Birthdate:</th>
                <td>{{ patient.birthdate }}</td>
            </tr>
            <tr>
                <th>Admission(s):</th>
                <td>
                    <ul>
                        {% for admission in patient.HasAdmissions %}
                            <li>{{ admission }}</li>
                        {% endfor %}
                    </ul>
                </td>
            </tr>
        </tbody> 
    </table>
    <div>
        <a href="{{path('admission_new')}}">Create new Admission</a>
    </div>

    <a href="{{ path('patient_index') }}">back to list</a>

    <a href="{{ path('patient_edit', {'id': patient.id}) }}">edit</a>

    {{ include('patient/_delete_form.html.twig') }}
{% endblock %}
